<script setup>
defineProps({
  size: {
    type: String,
  },
});
</script>
<template>
  <div class="flex justify-center items-center">
    <svg
      width="24px"
      height="24px"
      viewBox="0 0 16 16"
      xmlns="http://www.w3.org/2000/svg"
      stroke="rgba(0,0,0,.2)"
    >
      <circle cx="8" cy="8" r="16" fill="none" stroke-width="1.5">
        <animate
          attributeName="r"
          :values="size === 'small' ? '3;6;3' : '4;7;4'"
          dur="1s"
          repeatCount="indefinite"
        />
      </circle>
    </svg>
  </div>
</template>
